#include <bits/stdc++.h>
using namespace std;

int main()  {
	
	int n;
	string res = "";
	cin >> n;
	
	vector<int> v(n);
	for(int i = 0; i < n; ++i){
		cin >> v[i];
	}
	
	sort(v.begin(), v.end());
	int l = lower_bound(v.begin(), v.end(), -2) - v.begin();
	int d = upper_bound(v.begin(), v.end(), 0) - v.begin();
	int brp = n - d;
	int brn = d;
	int br = max(brp, brn);
	if(br % 2 !=0) br = 2*br-1;
	else br = 2*br;
	if(d != n) d = v[d];
	if(l != n) l = v[l];
	
	if(d == 1 && l==-1){
		cout << 1 << endl << "1" << endl;
	}
	else if(l == -1){
		for(int i = 0; i < br; ++i){
			if(i % 2 == 0) res += "2";
			else res += "1";
		}
		cout << n << endl << res << endl;
	}
	else if (d == 1){
		for(int i = 0; i < br; ++i){
			if(i % 2 == 0) res += "1";
			else res += "2";
		}
		cout << n << endl << res << endl;
	}
	else{
		for(int i = 0; i < br; ++i){
			if(i % 2 == 0) res += "1";
			else res += "2";
		}
		cout << n << endl << res << endl;
	}
	
	
return 0;

}